# -*- coding: utf-8 -*-
#
# File: GuestBookEntry.py
#
# Copyright (c) 2008 by Finn Arild Music - http://www.finnarild.com - like this
# guestbook? Check out my music!
# Generator: ArchGenXML Version 2.0
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Finn Arild Aasheim <unknown>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope.interface import implements
import interfaces

from Products.CMFDynamicViewFTI.browserdefault import BrowserDefaultMixin

from Products.FinnsGuestBook.config import *

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    StringField(
        name='email',
        widget=StringField._properties['widget'](
            label='Email',
            label_msgid='FinnsGuestBook_label_email',
            i18n_domain='FinnsGuestBook',
        ),
    ),
    StringField(
        name='homepage',
        widget=StringField._properties['widget'](
            label='Homepage',
            label_msgid='FinnsGuestBook_label_homepage',
            i18n_domain='FinnsGuestBook',
        ),
    ),
    TextField(
        name='message',
        widget=TextAreaWidget(
            label='Message',
            label_msgid='FinnsGuestBook_label_message',
            i18n_domain='FinnsGuestBook',
        ),
    ),
),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

GuestBookEntry_schema = BaseSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class GuestBookEntry(BaseContent, BrowserDefaultMixin):
    """
    """
    security = ClassSecurityInfo()
    implements(interfaces.IGuestBookEntry)

    meta_type = 'GuestBookEntry'
    _at_rename_after_creation = True

    schema = GuestBookEntry_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods


registerType(GuestBookEntry, PROJECTNAME)
# end of class GuestBookEntry

##code-section module-footer #fill in your manual code here
##/code-section module-footer



