# -*- coding: utf-8 -*-
#
# File: Install.py
#
# Copyright (c) 2008 by Finn Arild Music - http://www.finnarild.com - like this
# guestbook? Check out my music!
# Generator: ArchGenXML Version 2.0
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Finn Arild Aasheim <unknown>"""
__docformat__ = 'plaintext'


from StringIO import StringIO
from Products.CMFCore.utils import getToolByName
from Products.FinnsGuestBook.config import PROJECTNAME

def install(self, reinstall=False):
    """External Method to install FinnsGuestBook 
    
    This method to install a product is kept, until something better will get
    part of Plones front end, which utilize portal_setup.
    """
    out = StringIO()
    print >> out, "Installation log of %s:" % PROJECTNAME

    setuptool = getToolByName(self, 'portal_setup')   
    importcontext = 'profile-Products.%s:default' % PROJECTNAME
    setuptool.setImportContext(importcontext)
    setuptool.runAllImportSteps()
    return out.getvalue()
